Subject: Re: RTC drift on Walnut?

From: Armin Kuster <[email-masked]>
Date: Tue, 10 Jul 2001 09:43:27 -0700

Torben Mathiasen wrote:

> Thanks. I'm pretty sure its kernel related, I bet something's wrong in
> arch/ppc/kernel/time.c. The kernel just reads the RTC at startup, and maintains
> the system clok via the timer-interrupts. Coming to think of it, I'm not sure
> if the hardware RTC drifts, or if its just the kernel 'software' clock. Will
> check on that.
>
> Maybe we're turning ints off for too long somewhere...
>
> Thanks,
> Torben

Torben;

I am running on what will be the next version of 405 kernel from
MontaVista.  It is using the new todc_time routines.  I saw about a 30
second drift.

-- armin

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/